# Levenshtein

<p>
  <a href="https://github.com/maxbachmann/Levenshtein/actions">
    <img src="https://github.com/maxbachmann/Levenshtein/workflows/Build/badge.svg"
         alt="Continous Integration">
  </a>
  <a href="https://pypi.org/project/levenshtein/">
    <img src="https://img.shields.io/pypi/v/levenshtein"
         alt="PyPI package version">
  </a>
  <a href="https://www.python.org">
    <img src="https://img.shields.io/pypi/pyversions/levenshtein"
         alt="Python versions">
  </a>
  <a href="https://maxbachmann.github.io/Levenshtein">
    <img src="https://img.shields.io/badge/-documentation-blue"
         alt="Documentation">
  </a>
  <a href="https://github.com/maxbachmann/Levenshtein/blob/main/COPYING">
    <img src="https://img.shields.io/github/license/maxbachmann/Levenshtein"
         alt="GitHub license">
  </a>
</p>

## Introduction
The Levenshtein Python C extension module contains functions for fast
computation of:

* Levenshtein (edit) distance, and edit operations
* string similarity
* approximate median strings, and generally string averaging
* string sequence and set similarity

This is a fork of [ztane/python-Levenshtein](https://github.com/ztane/python-Levenshtein), since the original
project is no longer actively maintained.

## Requirements
* Python 3.5 or later

## Installation
```bash
pip install levenshtein
```

## Documentation

The documentation for the current version can be found at [https://maxbachmann.github.io/Levenshtein/](https://maxbachmann.github.io/Levenshtein/)

## License

Levenshtein is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your option)
any later version.

See the file [COPYING](https://github.com/maxbachmann/Levenshtein/blob/main/COPYING) for the full text of GNU General Public License version 2.
